> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Lists all the apps for an account.

# List

For the complete error reference, see [Error Guide](/rest-api/management-apis/error-codes).


## OpenAPI

````yaml get /apps
openapi: 3.0.0
info:
  title: Management APIs (Multi-Tenancy)
  description: Create and manage apps on-the-fly using our app management APIs
  version: '1.0'
servers:
  - url: https://apimgmt.cometchat.io
security: []
tags:
  - name: App
    description: The Rest collection for app.
  - name: Extensions
    description: The REST collections for extensions.
  - name: Extensions
    description: The REST collections for Chat widgets.
  - name: Extensions
    description: The REST collections for Giphy extension.
  - name: Extensions
    description: The REST collections for XSS Filter extension.
  - name: Extensions
    description: The REST collections for Image Moderation extension.
  - name: Extensions
    description: The REST collections for Report user extension.
  - name: Extensions
    description: The REST collections for Report message extension.
  - name: Extensions
    description: The REST collections for Sentiment analysis extension.
  - name: Extensions
    description: The REST collections for Voice transcription extension.
  - name: Extensions
    description: The REST collections for Stipop extension.
  - name: Extensions
    description: The REST collections for TinyURL extension.
  - name: Extensions
    description: The REST collections for Intercom extension.
  - name: Extensions
    description: The REST collections for Bitly extension.
  - name: Extensions
    description: The REST collections for Rich media preview extension.
  - name: Extensions
    description: The REST collections for Virus Malware Scanner extension.
  - name: Extensions
    description: The REST collections for Video Broadcasting extension.
  - name: Extensions
    description: The REST collections for Tenor gifs extension.
  - name: Extensions
    description: The REST collections for End-to-end encryption extension.
  - name: Extensions
    description: The REST collections for In-flight message moderation extension.
  - name: Extensions
    description: The REST collections for Stickers extension.
  - name: Extensions
    description: The REST collections for Data masking extension.
  - name: Extensions
    description: The REST collections for Email replies extension.
  - name: Extensions
    description: The REST collections for SMS Notification extension.
  - name: Extensions
    description: The REST collections for Push notification extension.
  - name: Extensions
    description: The REST collections for Chatwoot extension.
  - name: Extensions
    description: The REST collections for Message shortcuts extension.
  - name: Extensions
    description: The REST collections for Email Notification extension.
  - name: Team Management
    description: The REST collections for team management.
  - name: Settings
    description: The REST collections for Settings.
  - name: Extensions
    description: The REST collections for Profanity-filter extension.
  - name: Webhooks
    description: The REST collections for Webhooks.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /apps:
    get:
      tags:
        - App
      summary: List
      description: Lists all the apps for an account.
      operationId: list-apps
      parameters:
        - $ref: '#/components/parameters/key'
        - $ref: '#/components/parameters/secret'
        - name: searchKey
          in: query
          description: >-
            The "searchKey" query parameter allows filtering results based on
            either the ID or name properties of the apps.
          schema:
            type: string
        - name: perPage
          in: query
          description: >-
            The "perPage" property specifies the total number of records to be
            fetched in a single request. It determines the maximum number of
            items returned per page.
          schema:
            type: integer
        - name: page
          in: query
          description: >-
            The "page" property is utilized for navigating through the available
            pages of results. It indicates the specific page of results that is
            being retrieved or accessed.
          schema:
            type: integer
      responses:
        '200':
          description: List Apps
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      properties:
                        '':
                          $ref: '#/components/schemas/appSchema'
                      type: object
                  meta:
                    properties:
                      '':
                        $ref: '#/components/schemas/metaSchema'
                    type: object
                type: object
              example:
                data:
                  id: <APP_ID>
                  name: <App Name>
                  plan: trial
                  trialEndsAt: 1588887393
                  state: active
                  owner: 1656
                  region: us
                  createdAt: 1586295393
                  appOwner:
                    id: '1656'
                    name: <OWNER_NAME>
                    email: youremail@domain.com
                  appRegion:
                    id: us
                    name: USA
                    description: The USA region has serverslocated at Ohio.
                  accessKey: <API_KEY>
                  apiKeys:
                    <API_KEY1>:
                      apiKey: <API_KEY1>
                      name: Rest API Key
                      scope: fullAccess
                      createdBy: app_system
                    <API_KEY2>:
                      apiKey: <API_KEY2>
                      name: Auth Key
                      scope: authOnly
                      createdBy: app_system
components:
  parameters:
    key:
      name: key
      in: header
      description: Authorization Key
      required: true
      schema:
        type: string
    secret:
      name: secret
      in: header
      description: Authorization Secret
      required: true
      schema:
        type: string
  schemas:
    appSchema:
      properties:
        id:
          type: string
        name:
          type: integer
        plan:
          type: integer
        trialEndsAt:
          type: integer
        state:
          type: string
        owner:
          type: integer
        region:
          type: string
        createdAt:
          type: integer
        appOwner:
          properties:
            id:
              type: string
            name:
              type: string
            email:
              type: string
          type: object
        appRegion:
          properties:
            id:
              type: string
            name:
              type: string
            description:
              type: string
          type: object
        apiKeys:
          properties:
            <API_KEY_1>:
              properties:
                apiKey:
                  type: string
                name:
                  type: string
                scope:
                  type: string
                createdBy:
                  type: string
              type: object
            <API_KEY_2>:
              properties:
                apiKey:
                  type: string
                name:
                  type: string
                scope:
                  type: string
                createdBy:
                  type: string
              type: object
          type: object
      type: object
    metaSchema:
      properties:
        pagination:
          properties:
            total:
              type: integer
            count:
              type: integer
            per_page:
              type: integer
            current_page:
              type: integer
            total_pages:
              type: integer
            links:
              type: string
          type: object
      type: object

````